PROGRAM rosette;

CONST a = 12;
      b = 12;

VAR  i, rx, ry : integer;
     c         : real;

{$I GRAPHICS.INC}

BEGIN { rosette }
  clrgbs;
  clrtbs;
  quad (0, 0, 639, 199);
  penup;
  FOR i := 0 TO 360 DO
    BEGIN
      write ('.');
      c := i*pi/180;
      rx := round (250*sin (a*c));
      ry := round (90*sin (b*c));
      moveto (320+round (rx*cos (c)), 100+round (ry*sin (c)));
      pendown
    END;
  hardcopy2
END.  { rosette }